Defect #531

Gadgets stopped working with FF 19

Added by Samer - about 6 years ago. Updated about 6 years ago.

Status:NewStart date:03/25/2013
Priority:HighDue date:
Assignee:-% Done:

0%

Category:Gadgets
Target version:-
Resolution: Tags:

Description

Feedback from , confirmed by Samer:

In Firefox 19 (Ubuntu 12.10) gadgets stopped working. Some appear in blank, others appear partially (a field or an icon) but not the rest of them and they don't work at all. With FF 18 they were working. With websockets disabled in FF 19 gadgets still don't work. Firebug aborts some requests to opensocial.googleusercontent.com (example in a comment). Tried in http://kune.cc/?locale=en#!samer.docs.71.4139 where many gadgets are inserted at once.

History

#1 Updated by Samer - about 6 years ago

Info from one aborted request, from Firebug:

http://ppafnn7rrlhsut4v4glfudu0m7r49l4i-a-wave-opensocial.googleusercontent.com/gadgets/ifr?url=http%3A%2F%2Fgoo.gl%2FqQ7n0&container=wave&view=default&nocache=0&sanitize=0&v=b163d5532747f4d6&nocache=1&mid=1713460436&lang=en&country=ALL&parent=http://kune.cc&wave=1&waveId=kune.cc%2Fw%2B14qpujcd8cgi0A#rpctoken=-8935142059345007910

container=wave
country=ALL
lang=en
mid=1713460436
nocache=0
nocache=1
parent=http://kune.cc
sanitize=0
url=http://goo.gl/qQ7n0
v=b163d5532747f4d6
view=default
wave=1
waveId=kune.cc/w+14qpujcd8cgi0A

GET /gadgets/ifr?url=http%3A%2F%2Fgoo.gl%2FqQ7n0&container=wave&view=default&nocache=0&sanitize=0&v=b163d5532747f4d6&nocache=1&mid=1713460436&lang=en&country=ALL&parent=http://kune.cc&wave=1&waveId=kune.cc%2Fw%2B14qpujcd8cgi0A HTTP/1.1
Host: ppafnn7rrlhsut4v4glfudu0m7r49l4i-a-wave-opensocial.googleusercontent.com
User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:19.0) Gecko/20100101 Firefox/19.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-us,en;q=0.8,es-es;q=0.5,es;q=0.3
Accept-Encoding: gzip, deflate
DNT: 1
Referer: http://kune.cc/?locale=en
Connection: keep-alive

#2 Updated by Vicente J. Ruiz Jurado about 6 years ago

  • Priority changed from Normal to High

Seems that some gadgets still works (yes/no/mini) but others are broken (yes/no/maybe, yes/no/maybe+). Also happens in Wave, so, please fill there a bug.

Also available in: Atom PDF